"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ChessBoard = void 0;

var _react = _interopRequireDefault(require("react"));

var _Square = _interopRequireDefault(require("./Square"));

var _Piece = _interopRequireDefault(require("./Piece"));

var _jsxRuntime = require("react/jsx-runtime");

/**
 *
 * ChessBoard
 *
 */
const ChessBoard = ({
  blackPieces,
  redPieces,
  movePiece,
  turn,
  kill,
  canDrop
}) => {
  const allPieces = redPieces.concat(blackPieces);

  const renderSquare = i => {
    const x = i % 9;
    const y = Math.floor(i / 9);
    const pieces = allPieces.filter(p => p.live);
    const item = pieces.find(({
      position: {
        x: px,
        y: py
      }
    }) => px === x && py === y);
    const key = item ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Piece.default, {
      item: item,
      turn: turn
    }) : null;
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: '60px',
        height: '60px',
        position: 'relative',
        backgroundColor: 'transparent'
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Square.default, {
        piece: item,
        x: x,
        y: y,
        movePiece: movePiece,
        pieces: pieces,
        kill: () => {
          if (item) kill(item);
        },
        canDrop: canDrop,
        children: key
      })
    }, `key-${i}`);
  };

  const squares = [];

  for (let i = 0; i < 90; i += 1) {
    squares.push(renderSquare(i));
  }

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    style: {
      width: '540px',
      height: '600px',
      display: 'flex',
      flexWrap: 'wrap',
      position: 'relative'
    },
    children: [squares, /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        position: 'absolute',
        top: '50%',
        left: '25%',
        marginTop: '-30px',
        height: '60px',
        lineHeight: '60px',
        fontSize: '24px',
        userSelect: 'none'
      },
      children: "\u695A \u6CB3"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        position: 'absolute',
        top: '50%',
        right: '25%',
        marginTop: '-30px',
        height: '60px',
        lineHeight: '60px',
        fontSize: '24px',
        userSelect: 'none'
      },
      children: "\u6F22 \u754C"
    })]
  });
};

exports.ChessBoard = ChessBoard;
var _default = ChessBoard;
exports.default = _default;