"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.NodeCard = void 0;

var React = _interopRequireWildcard(require("react"));

var _Paper = _interopRequireDefault(require("@mui/material/Paper"));

var _Card = _interopRequireDefault(require("@mui/material/Card"));

var _CardHeader = _interopRequireDefault(require("@mui/material/CardHeader"));

var _CardContent = _interopRequireDefault(require("@mui/material/CardContent"));

var _Avatar = _interopRequireDefault(require("@mui/material/Avatar"));

var _Typography = _interopRequireDefault(require("@mui/material/Typography"));

var _Divider = _interopRequireDefault(require("@mui/material/Divider"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const NodeCard = /*#__PURE__*/React.forwardRef(({
  host,
  ...props
}, ref) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Paper.default, { ...props,
    ref: ref,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Card.default, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_CardHeader.default, {
        avatar: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Avatar.default, {
          "aria-label": "Recipe",
          children: host.name[0]
        }),
        title: host.name,
        subheader: host.host
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Divider.default, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_CardContent.default, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Typography.default, {
          component: "div",
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: "Delay: "
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
            children: [host.delay, "ms"]
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Divider.default, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: "Min Delay: "
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
            children: [host.minDelay, "ms"]
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Divider.default, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: "Max Delay: "
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
            children: [host.maxDelay, "ms"]
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Divider.default, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: "Average Delay: "
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
            children: [host.averageDelay, "ms"]
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Divider.default, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: "Package Lost: "
          }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
            children: [host.lost, "%"]
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Divider.default, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: "Times: "
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
            children: host.times
          })]
        })
      })]
    })
  });
});
exports.NodeCard = NodeCard;
NodeCard.displayName = 'NodeCard';
var _default = NodeCard;
exports.default = _default;